JUCE: juce::midi_ci::CacheProvider Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::CacheProvider Class Referenceabstract
juce_midi_ci » ci

An interface for objects that provide resources for property exchange transactions. More...

`#include <juce_CIPropertyExchangeCache.h>`

## Public Member Functions
virtual | ~CacheProvider ()=default
virtual std::set< MUID > | getDiscoveredMuids () const =0
| Returns a set containing all of the MUIDs currently known to the provider.
virtual InitiatorPropertyExchangeCache * | getCacheForMuidAsInitiator (MUID m)=0
| Returns a property exchange cache for accumulating replies to transactions we initiated.
virtual ResponderPropertyExchangeCache * | getCacheForMuidAsResponder (MUID m)=0
| Returns a property exchange cache for accumulating requests initiated by other devices.
virtual int | getMaxSysexSizeForMuid (MUID m) const =0
| Returns the maximum sysex size supported by the device with the given MUID.

## Detailed Description

An interface for objects that provide resources for property exchange transactions.

## Constructor & Destructor Documentation

## ◆ ~CacheProvider()

virtual juce::midi_ci::CacheProvider::~CacheProvider | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ getDiscoveredMuids()

virtual std::set< MUID > juce::midi_ci::CacheProvider::getDiscoveredMuids | ( |  | ) | const
| pure virtual

Returns a set containing all of the MUIDs currently known to the provider.

## ◆ getCacheForMuidAsInitiator()

virtual InitiatorPropertyExchangeCache * juce::midi_ci::CacheProvider::getCacheForMuidAsInitiator | ( | MUID | m | ) |
| pure virtual

Returns a property exchange cache for accumulating replies to transactions we initiated.

## ◆ getCacheForMuidAsResponder()

virtual ResponderPropertyExchangeCache * juce::midi_ci::CacheProvider::getCacheForMuidAsResponder | ( | MUID | m | ) |
| pure virtual

Returns a property exchange cache for accumulating requests initiated by other devices.

## ◆ getMaxSysexSizeForMuid()

virtual int juce::midi_ci::CacheProvider::getMaxSysexSizeForMuid | ( | MUID | m | ) | const
| pure virtual

Returns the maximum sysex size supported by the device with the given MUID.

The documentation for this class was generated from the following file:

- juce_CIPropertyExchangeCache.h